
QGIS Application - Bug report #9314

Wrong FILTER validation in WMS

2014-01-09 08:08 AM - Alessandro Pasotti

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17921

Description

When filter contains strings with more than two words, it gets grouped but the individual elements in the token list were not correctly

deleted.

This results in false positive when the string contains a single character like:

"zona_desc" = 'Aree consolidate a prevalente destinazione commerciale'

Bug was in groupStringList:

Associated revisions

Revision d82a3991 - 2014-01-12 08:55 AM - Alessandro Pasotti

Fix #9314

History

#1 - 2014-01-09 08:10 AM - Alessandro Pasotti

Fixed in https://github.com/qgis/QGIS/pull/1062

#2 - 2014-01-09 08:21 AM - Alessandro Pasotti

- Category set to QGIS Server

#3 - 2014-01-11 02:57 AM - Alessandro Pasotti

- Priority changed from Normal to High

#4 - 2014-01-12 12:21 AM - Alessandro Pasotti

- Status changed from Open to Closed

Fixed in changeset commit:"d82a3991a9ebf6066c6b455bf0de04f129677baa".

2025-04-27 1/1

https://github.com/qgis/QGIS/pull/1062

